List contracts
Fetch a list of contracts that you’ve imported and/or deployed.
Authorizations
Headers
Developer-provided identifier for this request, used for tracing requests in Wallets API logs and the Developer Console, and when communicating with Circle Support. Must be a UUID to appear in logs. Non-UUID values are accepted by the API but are ignored by logging and tracing systems.
A unique identifier, which can be helpful for identifying a request when communicating with Circle support.
"2adba88e-9d63-44bc-b975-9b6ae3440dde"
Query Parameters
Filter by blockchain.
The blockchain network that the resource is to be created on or is currently on.
Required along with sourceAddress if you don't provide walletId. The blockchain and walletId fields are mutually exclusive.
ETH, ETH-SEPOLIA, MATIC, MATIC-AMOY, ARB, ARB-SEPOLIA, UNI, UNI-SEPOLIA, BASE, BASE-SEPOLIA, OP, OP-SEPOLIA, AVAX, AVAX-FUJI, ARC, ARC-TESTNET, MONAD, MONAD-TESTNET "MATIC-AMOY"
A collection ID value used for pagination.
It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.
The items will be returned in the natural order of the collection.
The resource will return the first page if neither pageAfter nor pageBefore are specified.
SHOULD NOT be used in conjunction with pageAfter.
A collection ID value used for pagination.
It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.
The items will be returned in the natural order of the collection.
The resource will return the first page if neither pageAfter nor pageBefore are specified.
SHOULD NOT be used in conjunction with pageBefore.
Limits the number of items to be returned.
Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.
If avoided, the collection will determine the page size itself.
1 <= x <= 50